Skip to content

updateSalesOrder

WRITE

Update an existing sales order - handles exchange rate updates when currency changes, syncs customer to opportunity.

POST /api/v1/sales/updateSalesOrder
curl -X POST '<your-host>/api/v1/sales/updateSalesOrder' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Draft""In Progress""Needs Approval""To Ship and Invoice""To Ship""To Invoice""Completed""Cancelled""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "In Progress",
        "Needs Approval",
        "To Ship and Invoice",
        "To Ship",
        "To Invoice",
        "Completed",
        "Cancelled",
        "Closed"
      ]
    },
    "currencyCode": {
      "type": "string"
    },
    "orderDate": {
      "type": "string"
    },
    "customerContactId": {
      "type": [
        "string",
        "null"
      ]
    },
    "customerLocationId": {
      "type": [
        "string",
        "null"
      ]
    },
    "customerId": {
      "type": "string"
    },
    "notes": {
      "type": [
        "string",
        "null"
      ]
    },
    "customFields": {}
  },
  "required": [
    "id"
  ]
}